/**
 * 
 */
package packageTp1;

/**
 * @author Yann Thorimbert
 *
 */
public class Monomial {
	
	private int power;
	private double coeff;
	
	public Monomial() {
		this(0, 0);
	}
	
	public Monomial(int power, double coeff) {
		this.setPower(power);
		this.setCoeff(coeff);
	}


	public int getPower() {
		return power;
	}


	public void setPower(int power) {
		this.power = power;
	}


	public double getCoeff() {
		return coeff;
	}


	public void setCoeff(double coeff) {
		this.coeff = coeff;
	}

	public String toString() {
		return coeff + " x^" + power;
	}
	
	public Monomial add(Monomial m) {
		if(m.power == this.power)
			return new Monomial(this.power, this.coeff + m.coeff);
		else
			throw new IllegalArgumentException("Trying to add monomials of different power.");
	}

	
}
